Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 666 - /usr/include/bytesex.h missing
Summary: /usr/include/bytesex.h missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-02 01:04 UTC by jehamby
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-05 21:18:37 UTC


Attachments (Terms of Use)

Description jehamby 1999-01-02 01:04:43 UTC
When compiling ALSA-driver (see URL for ALSA home page), I
got numerous errors about missing bytesex.h.  It's not in
glibc-devel-2.0.108-0.981221, so I ended up copying it from
glibc-2.0.7-29 from RedHat 5.2  For your reference,
bytesex.h is a really tiny header file which looks like this
on i386:

/* i386 is little-endian.  */

#define __BYTE_ORDER __LITTLE_ENDIAN

Perhaps this is a bug in ALSA, but since this file existed
in earlier versions of glibc, you should include it if for
no other reason than backwards compatibility, right?

Comment 1 Jeff Johnson 1999-01-05 21:18:59 UTC
Use /usr/include/endian.h instead. Backward compatibiliy
for a one-line include file like this is not worth the effort.


Note You need to log in before you can comment on or make changes to this bug.